#include "Track.hh"
#include "Hit.hh"
#include "TRefArray.h"

ClassImp(Track)

Track::Track() : Hits(new TRefArray()) {
}

Track::~Track(){
  Hits->Clear();
  delete Hits; Hits = nullptr;
}

void Track::AddData(double data){
  Data = data;
}

double Track::GetData() const{
  return Data;
}

void Track::AddHit(Hit* hit){
  Hits->Add(hit);
}

TRefArray* Track::GetHits(){
  return Hits;
}
